class dba008::mysql-server {
        exec { "add depot":
                command     => "echo -e 'deb http://packages.dotdeb.org squeeze all\ndeb-src http://packages.dotdeb.org squeeze all' >> /etc/apt/sources.list;wget http://www.dotdeb.org/dotdeb.gpg;cat dotdeb.gpg | apt-key add -",
                onlyif      => ["test `cat /etc/apt/sources.list|grep dotdeb|wc -l` -eq 0"]
        }

        exec { "aptitude update":
                command     => "aptitude -y update",
                require     => Exec['add depot'],
        }

        package {  "mysql-server-5.5":
                ensure      => installed,
                require     => Exec['aptitude update'],
                notify      => Exec["Set MySQL root password"]
        }

        service { "mysql":
                ensure  => running,
                enable  => true,
                name    => "mysql",
                require => Package["mysql-server-5.5"]
        }

        exec { "Set MySQL root password":
                subscribe   => Package["mysql-server-5.5"],
                refreshonly => true,
                unless      => "mysqladmin -uroot -p$mysql_root_pass status",
                path        => "/bin:/usr/bin",
                command     => "mysqladmin -uroot password $mysql_root_pass",
                require     => Service["mysql"],
                notify      => Exec["setup mysql replication"]
        }
}
